#!/usr/bin/python3

"""Identify all brand icons in meta.json.

This produces a list of excluded icons on stdout.
"""

import json
from typing import Any


def is_dfsg(icon: dict[str, Any]) -> bool:
    return "Brand / Logo" not in icon["tags"]


with open("meta.json") as meta:
    icons = json.load(meta)

for icon in icons:
    if not is_dfsg(icon):
        print(icon["name"])
